com.aspose.ocr

## Enum ImageStreamFormat

- java.lang.Object
- - java.lang.Enum<ImageStreamFormat>
  - - com.aspose.ocr.ImageStreamFormat

- All Implemented Interfaces:
    Serializable, Comparable<ImageStreamFormat>

      public enum ImageStreamFormat
      extends Enum<ImageStreamFormat>

  Enumerable of data formats of images.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `Bmp` Specifies that the image format is BMP.
    `Gif` Specifies that the image format is GIF.
    `Jpg` Specifies that the image format is JPG.
    `Png` Specifies that the image format is PNG.
    `Tiff` Specifies that the image format is TIFF.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ImageStreamFormat` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static ImageStreamFormat[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### Bmp

          public static final ImageStreamFormat Bmp

      Specifies that the image format is BMP.

    - #### Gif

          public static final ImageStreamFormat Gif

      Specifies that the image format is GIF.

    - #### Jpg

          public static final ImageStreamFormat Jpg

      Specifies that the image format is JPG.

    - #### Png

          public static final ImageStreamFormat Png

      Specifies that the image format is PNG.

    - #### Tiff

          public static final ImageStreamFormat Tiff

      Specifies that the image format is TIFF.

  - ### Method Detail

    - #### valueOf

          public static ImageStreamFormat valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### values

          public static ImageStreamFormat[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ImageStreamFormat c : ImageStreamFormat.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

Copyright © 2014. All rights reserved.